Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

## Class SettlementInstruction11

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_12.SettlementInstruction11

    public class SettlementInstruction11
    extends java.lang.Object

Java class for SettlementInstruction11 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SettlementInstruction11">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SttlmMtd" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}SettlementMethod1Code"/>
             <element name="SttlmAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}CashAccount40" minOccurs="0"/>
             <element name="ClrSys" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ClearingSystemIdentification3Choice" minOccurs="0"/>
             <element name="InstgRmbrsmntAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="InstgRmbrsmntAgtAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}CashAccount40" minOccurs="0"/>
             <element name="InstdRmbrsmntAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="InstdRmbrsmntAgtAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}CashAccount40" minOccurs="0"/>
             <element name="ThrdRmbrsmntAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="ThrdRmbrsmntAgtAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}CashAccount40" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ClearingSystemIdentification3Choice` `clrSys`
`protected BranchAndFinancialInstitutionIdentification6` `instdRmbrsmntAgt`
`protected CashAccount40` `instdRmbrsmntAgtAcct`
`protected BranchAndFinancialInstitutionIdentification6` `instgRmbrsmntAgt`
`protected CashAccount40` `instgRmbrsmntAgtAcct`
`protected CashAccount40` `sttlmAcct`
`protected SettlementMethod1Code` `sttlmMtd`
`protected BranchAndFinancialInstitutionIdentification6` `thrdRmbrsmntAgt`
`protected CashAccount40` `thrdRmbrsmntAgtAcct`

### Constructor Summary

Constructors
`SettlementInstruction11()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClearingSystemIdentification3Choice` `getClrSys()` Gets the value of the clrSys property.
`BranchAndFinancialInstitutionIdentification6` `getInstdRmbrsmntAgt()` Gets the value of the instdRmbrsmntAgt property.
`CashAccount40` `getInstdRmbrsmntAgtAcct()` Gets the value of the instdRmbrsmntAgtAcct property.
`BranchAndFinancialInstitutionIdentification6` `getInstgRmbrsmntAgt()` Gets the value of the instgRmbrsmntAgt property.
`CashAccount40` `getInstgRmbrsmntAgtAcct()` Gets the value of the instgRmbrsmntAgtAcct property.
`CashAccount40` `getSttlmAcct()` Gets the value of the sttlmAcct property.
`SettlementMethod1Code` `getSttlmMtd()` Gets the value of the sttlmMtd property.
`BranchAndFinancialInstitutionIdentification6` `getThrdRmbrsmntAgt()` Gets the value of the thrdRmbrsmntAgt property.
`CashAccount40` `getThrdRmbrsmntAgtAcct()` Gets the value of the thrdRmbrsmntAgtAcct property.
`void` `setClrSys​(ClearingSystemIdentification3Choice value)` Sets the value of the clrSys property.
`void` `setInstdRmbrsmntAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the instdRmbrsmntAgt property.
`void` `setInstdRmbrsmntAgtAcct​(CashAccount40 value)` Sets the value of the instdRmbrsmntAgtAcct property.
`void` `setInstgRmbrsmntAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the instgRmbrsmntAgt property.
`void` `setInstgRmbrsmntAgtAcct​(CashAccount40 value)` Sets the value of the instgRmbrsmntAgtAcct property.
`void` `setSttlmAcct​(CashAccount40 value)` Sets the value of the sttlmAcct property.
`void` `setSttlmMtd​(SettlementMethod1Code value)` Sets the value of the sttlmMtd property.
`void` `setThrdRmbrsmntAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the thrdRmbrsmntAgt property.
`void` `setThrdRmbrsmntAgtAcct​(CashAccount40 value)` Sets the value of the thrdRmbrsmntAgtAcct property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sttlmMtd

    protected SettlementMethod1Code sttlmMtd

#### sttlmAcct

    protected CashAccount40 sttlmAcct

#### clrSys

    protected ClearingSystemIdentification3Choice clrSys

#### instgRmbrsmntAgt

    protected BranchAndFinancialInstitutionIdentification6 instgRmbrsmntAgt

#### instgRmbrsmntAgtAcct

    protected CashAccount40 instgRmbrsmntAgtAcct

#### instdRmbrsmntAgt

    protected BranchAndFinancialInstitutionIdentification6 instdRmbrsmntAgt

#### instdRmbrsmntAgtAcct

    protected CashAccount40 instdRmbrsmntAgtAcct

#### thrdRmbrsmntAgt

    protected BranchAndFinancialInstitutionIdentification6 thrdRmbrsmntAgt

#### thrdRmbrsmntAgtAcct

    protected CashAccount40 thrdRmbrsmntAgtAcct

### Constructor Detail

#### SettlementInstruction11

    public SettlementInstruction11()

### Method Detail

#### getSttlmMtd

    public SettlementMethod1Code getSttlmMtd()

Gets the value of the sttlmMtd property.

Returns:
  possible object is `SettlementMethod1Code`

#### setSttlmMtd

    public void setSttlmMtd​(SettlementMethod1Code value)

Sets the value of the sttlmMtd property.

Parameters:
  `value` - allowed object is `SettlementMethod1Code`

#### getSttlmAcct

    public CashAccount40 getSttlmAcct()

Gets the value of the sttlmAcct property.

Returns:
  possible object is `CashAccount40`

#### setSttlmAcct

    public void setSttlmAcct​(CashAccount40 value)

Sets the value of the sttlmAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

#### getClrSys

    public ClearingSystemIdentification3Choice getClrSys()

Gets the value of the clrSys property.

Returns:
  possible object is `ClearingSystemIdentification3Choice`

#### setClrSys

    public void setClrSys​(ClearingSystemIdentification3Choice value)

Sets the value of the clrSys property.

Parameters:
  `value` - allowed object is `ClearingSystemIdentification3Choice`

#### getInstgRmbrsmntAgt

    public BranchAndFinancialInstitutionIdentification6 getInstgRmbrsmntAgt()

Gets the value of the instgRmbrsmntAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setInstgRmbrsmntAgt

    public void setInstgRmbrsmntAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the instgRmbrsmntAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getInstgRmbrsmntAgtAcct

    public CashAccount40 getInstgRmbrsmntAgtAcct()

Gets the value of the instgRmbrsmntAgtAcct property.

Returns:
  possible object is `CashAccount40`

#### setInstgRmbrsmntAgtAcct

    public void setInstgRmbrsmntAgtAcct​(CashAccount40 value)

Sets the value of the instgRmbrsmntAgtAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

#### getInstdRmbrsmntAgt

    public BranchAndFinancialInstitutionIdentification6 getInstdRmbrsmntAgt()

Gets the value of the instdRmbrsmntAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setInstdRmbrsmntAgt

    public void setInstdRmbrsmntAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the instdRmbrsmntAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getInstdRmbrsmntAgtAcct

    public CashAccount40 getInstdRmbrsmntAgtAcct()

Gets the value of the instdRmbrsmntAgtAcct property.

Returns:
  possible object is `CashAccount40`

#### setInstdRmbrsmntAgtAcct

    public void setInstdRmbrsmntAgtAcct​(CashAccount40 value)

Sets the value of the instdRmbrsmntAgtAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

#### getThrdRmbrsmntAgt

    public BranchAndFinancialInstitutionIdentification6 getThrdRmbrsmntAgt()

Gets the value of the thrdRmbrsmntAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setThrdRmbrsmntAgt

    public void setThrdRmbrsmntAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the thrdRmbrsmntAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getThrdRmbrsmntAgtAcct

    public CashAccount40 getThrdRmbrsmntAgtAcct()

Gets the value of the thrdRmbrsmntAgtAcct property.

Returns:
  possible object is `CashAccount40`

#### setThrdRmbrsmntAgtAcct

    public void setThrdRmbrsmntAgtAcct​(CashAccount40 value)

Sets the value of the thrdRmbrsmntAgtAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`